'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RuleWhichNeedsBoolean = exports.RuleWhichNeedsArray = undefined;

var _generalRules = require('./generalRules');

var normal = _interopRequireWildcard(_generalRules);

var _numberRules = require('./numberRules');

var number = _interopRequireWildcard(_numberRules);

var _stringRules = require('./stringRules');

var string = _interopRequireWildcard(_stringRules);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

// If the rule expects an array as value, please put
// it here, so we can extract user defined error message
// without problem.
var RuleWhichNeedsArray = exports.RuleWhichNeedsArray = ['inArray'];

// This is for rule which expect a boolean value,
// Will ignore the check if the value if false.
var RuleWhichNeedsBoolean = exports.RuleWhichNeedsBoolean = ['isEmail', 'isUrl', 'isCreditCard', 'isHexColor', 'isDecimal', 'isInt', 'isNegative', 'isPositive', 'isIntOrDecimal'];

var handlerMatcher = {
  /* String handlers */
  minLength: string.minLength,
  maxLength: string.maxLength,
  include: string.include,
  exclude: string.exclude,
  startWith: string.startWith,
  notStartWith: string.notStartWith,
  endWith: string.endWith,
  notEndWith: string.notEndWith,

  /* Number handlers */
  min: number.min,
  max: number.max,
  equal: number.equal,
  notEqual: number.notEqual,
  isPositive: number.isPositive,
  isNegative: number.isNegative,
  isInt: number.isInt,
  isDecimal: number.isDecimal,
  isIntOrDecimal: number.isIntOrDecimal,

  /* General handlers */
  inArray: normal.inArray,
  matchRegex: normal.matchRegex,
  isEmail: normal.isEmail,
  isUrl: normal.isUrl,
  isCreditCard: normal.isCreditCard,
  isHexColor: normal.isHexColor,
  notEmpty: normal.notEmpty,
  isIP: normal.isIP
};

exports.default = handlerMatcher;
//# sourceMappingURL=matchers.js.map